[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'unicodedata' (#rtl)

# IncrementalCompareString

Compare 2 strings using the specified collation

## Declaration

Source position: unicodedata.pas line 523

`function IncrementalCompareString(`
`const AStrA: PUnicodeChar;`
`const ALengthA: SizeInt;`
`const AStrB: PUnicodeChar;`
`const ALengthB: SizeInt;`
`const ACollation: PUCA_DataBook`
`):Integer; overload; function IncrementalCompareString(`
`const AStrA: UnicodeString;`
`const AStrB: UnicodeString;`
`const ACollation: PUCA_DataBook`
`):Integer; overload;`

## Arguments

`AStrA` |  | First string in comparison.
`ALengthA` |  | Length of string AStrA.
`AStrB` |  | Second string in comparison.
`ALengthB` |  | Length of string AStrN
`ACollation` |  | Collation to use.

## Function result

A signed integer indicating the alphabetic order of AStrA and AStrB.

## Arguments

`AStrA` |  | First string in comparison.
`AStrB` |  | Second string in comparison.
`ACollation` |  | Collation to use.

## Description

IncrementalCompareString creates 2 compare keys from the strings AStrA and AStrB using collation data in ACollation. The keys are computed only to the point where the two strings differ. This means the keys cannot be reused for other comparisons if the strings differ. The two strings can be specified as a unicode string or as a pointer to a null-terminated character array with a length (ALengthA and ALengthB). It returns then the result of CompareSortKey.

## Errors

None.

## See also

ComputeSortKey |  | Compute the sort key for a string
CompareSortKey |  | Compare two sort keys.